// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or any plugin's vendor/assets/javascripts directory can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// compiled file.
//
// Read Sprockets README (https://github.com/sstephenson/sprockets#sprockets-directives) for details
// about supported directives.
//
//= require jquery
//= require jquery_ujs
//= require turbolinks
//= require jquery.turbolinks
//= require bootstrap-sprockets
//= require select2
//= require_tree ./application

/*
$('h2').each(function(index,value) {
  $(this).css('fontSize', (parseFloat($(this).css('fontSize')) + (size_c - 15)) + 'px');
});
$('h3').each(function(index,value) {
  $(this).css('fontSize', (parseFloat($(this).css('fontSize')) + (size_c - 15)) + 'px');
});
$('h4').each(function(index,value) {
  $(this).css('fontSize', (parseFloat($(this).css('fontSize')) + (size_c - 15)) + 'px');
});
$('h5').each(function(index,value) {
  $(this).css('fontSize', (parseFloat($(this).css('fontSize')) + (size_c - 15)) + 'px');
});
$('h6').each(function(index,value) {
  $(this).css('fontSize', (parseFloat($(this).css('fontSize')) + (size_c - 15)) + 'px');
});
*/

$(document).ready(function(){
  size_c = readCookie('fontSize');
  if (size_c != null) {
    document.body.style.fontSize = size_c + 'px';
    $('.dropdown-menu').css('fontSize', document.body.style.fontSize);
    $('h1,h2,h3,h4,h5,h6').each(function(index,value) {
      $(this).css('fontSize', (parseFloat($(this).css('fontSize')) + (size_c - 15)) + 'px');
    });
  }
  Contrast();
});


//source: http://www.linhadecodigo.com.br/artigo/1615/acessibilidade-aumentando-e-diminuindo-tamanho-de-letra-em-seu-site.aspx
function createCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	} else var expires = "";
	document.cookie = name+"="+value+expires+"; path=/";
}

function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(";");
	for(var i=0;i < ca.length;i++)
	{
		var c = ca[i];
		while (c.charAt(0)==" ") c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
	}
	return null;
}

function resizeText(increment) {
  if (document.body.style.fontSize == "") {
    document.body.style.fontSize = "15px";
  }
  size = parseFloat(document.body.style.fontSize)
  if (increment > 0) {
    if (size < 25) {
      document.body.style.fontSize = parseFloat(document.body.style.fontSize) + increment + "px";
      $('.dropdown-menu').css('fontSize', document.body.style.fontSize);
      $('h1 ,h2 ,h3, h4, h5 ,h6').each(function(index,value) {
        $(this).css('fontSize', parseFloat($(this).css('fontSize')) + increment + 'px');
      });
    }
  } else if(increment < 0){
    if (size > 10) {
      document.body.style.fontSize = parseFloat(document.body.style.fontSize) + increment + "px";
      $('.dropdown-menu').css('fontSize', document.body.style.fontSize);
      $('h1 ,h2 ,h3, h4, h5 ,h6').each(function(index,value) {
        $(this).css('fontSize', parseFloat($(this).css('fontSize')) + increment + 'px');
      });
    }
  }
  else{
    size = parseFloat(document.body.style.fontSize);
    document.body.style.fontSize = '15px';
    $('.dropdown-menu').css('fontSize', document.body.style.fontSize);
    $('h1 ,h2 ,h3, h4, h5 ,h6').each(function(index,value) {
      $(this).css('fontSize', parseFloat($(this).css('fontSize')) + increment + 'px');
    });
  }
  createCookie('fontSize', parseFloat(document.body.style.fontSize), 365);
}

function changeContrast() {
  if (readCookie('contrast') == null || readCookie('contrast') == "false") {
    createCookie('contrast',"true",0);
  } else {
    createCookie('contrast',"false",0);
  }
  Contrast();
}

function Contrast() {
  contrast_c = readCookie('contrast');
  if (contrast_c == null || contrast_c != "true"){
    $('body').addClass('contraste');
    $('.barra-brasil').addClass('contraste');
    $('.search-bar').addClass('contraste');
    $('.search-bar').css('border-top','2px solid white');
    $('#menu-bar').addClass('menu-bar-contrast');
    $('.object-vertical .panel').addClass('contraste');
    $('.navbar').addClass('contraste');
    $('.well').addClass('contraste');
  }else {
    $('body').removeClass('contraste');
    $('.barra-brasil').removeClass('contraste');
    $('.search-bar').removeClass('contraste');
    $('.search-bar').css('border-top','none');
    $('#menu-bar').removeClass('menu-bar-contrast');
    $('.object-vertical .panel').removeClass('contraste');
    $('.navbar').removeClass('contraste');
    $('.well').removeClass('contraste');
  }
}


$.fn.select2.amd.require(
  ["select2/core", "select2/utils", "select2/compat/matcher"],
  function (Select2, Utils, oldMatcher) {

  var $basicMultiple = $(".js-example-basic-multiple");
  var $limitMultiple = $(".js-example-basic-multiple-limit");

  $basicMultiple.select2();
  $basicMultiple.select2({ width: '80%' });
  $limitMultiple.select2({
  maximumSelectionLength: 2
  });
});
