class Management::CarouselController < ManagementController
  before_action :set_carousel, only: [:show, :create, :update, :destroy]

  def index
    @carousels = carousel_repository.all
  end

  def show
  end

  def new
    @carousel = Carousel.new
  end

  def create
    @carousel = Carousel.new(carousel_params)

    respond_to do |format|
      if @carousel.save
        format.html { redirect_to management_carousel_path(@carousel), notice: "Carousel created!" }
      else
        format.html { render :new }
      end
    end
  end

  def update
    respond_to do |format|
      if carousel_repository.update(@carousel, carousel_params)
        format.html { redirect_to management_carousel_path(@carousel), notice: "Carousel updated!" }
      else
        format.html { render :edit }
      end
    end
  end

  def destroy
    carousel_repository.destroy @carousel
    respond_to do |format|
      format.html { redirect_to management_carousels_path, notice: "Carousel destroyed!" }
    end
  end

  private

  def carousel_repository
    repository.for :carousel
  end

  def set_carousel
    @carousel = carousel_repository.find params[:id]
  end

  def carousel_params
    params.require(:carousel).permit(:title, :url, :image)
  end

end
