module OrientDb
  class InstitutionRepository < Base
    include OrientDb::Methods::EdgeMethods

    # Example:
    #   list = repository.for(:institutions).all
    #   list.each do |institution|
    #     institution_object.inspect <LearningObject model>
    #   end
    def all
      hash = connection.query "SELECT FROM Institution"
      institutions = build_institutions(hash)
    end

    # Usage:
    #   institution = repository.for(:institutions).get_by_dspace_id 123
    #
    def find(id)
      result = connection.query "SELECT FROM #{id}"
      build_institution result.first
    end

    def create(name, url)
      connection.command sprintf("INSERT INTO Institution (name) VALUES ('%s')", name)
    end

    # Usage:
    #   repository.for(:institutions).destroy institution
    #
    def destroy(institution)
      connection.command sprintf("DELETE VERTEX %s", institution.id)
    end

    private

    def build_institution(args={})
      return Institution.new(
        :id => args["@rid"],
        :title => args["title"],
      )
    end

    def build_institutions(hash=[])
      institutions = []
      hash.each do |h|
        institutions << build_institution(h)
      end
      return institutions
    end

  end
end
