module Dspace::Config
  @@ssl = true
  @@port = 8443

  def self.host=(host)
    @@host = host
  end

  def self.port=(port)
    @@port = port
  end

  def self.ssl=(ssl)
    @@ssl = ssl
  end

  def self.rest_webapp_name=(rest_webapp_name)
    @@rest_webapp_name = rest_webapp_name
  end

  def self.solr_webapp_name=(solr_webapp_name)
    @@solr_webapp_name = solr_webapp_name
  end

  def self.host
    @@host
  end

  def self.port
    @@port || 8080
  end

  def self.ssl
    @@ssl || false
  end

  def self.rest_webapp_name
    @@rest_webapp_name || 'rest'
  end

  def self.solr_webapp_name
    @@solr_webapp_name || 'solr'
  end

  def self.rest_url(*args)
    options = args.extract_options!
    unless options[:port].nil?
      port = options[:port].to_s
    else
      port = self.port.to_s
    end
    if self.ssl == false || options[:ssl] == false
      return 'http://' + self.host + ':' + port + '/' + self.rest_webapp_name
    else
      return 'https://' + self.host + ':' + port + '/' + self.rest_webapp_name
    end
  end

  def self.solr_url(*args)
    options = args.extract_options!
    unless options[:port].nil?
      port = options[:port].to_s
    else
      port = self.port.to_s
    end
    if self.ssl == false || options[:ssl] == false
      return 'http://' + self.host + ':' + port + '/' + self.solr_webapp_name
    else
      return 'https://' + self.host + ':' + port + '/' + self.solr_webapp_name
    end
  end

end
